apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: drupal
  namespace: argocd
spec:
  destination:
    namespace: fornix
    server: "https://kubernetes.default.svc"
  sources:
    - repoURL: https://gitlab.com/oceanbox/manifests.git
      targetRevision: HEAD
      path: values/drupal/manifests
  project: default
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
      - ApplyOutOfSyncOnly=true
      - ServerSideApply=true
    automated:
      prune: true
      # selfHeal: false
